Jump to content

UnLuac (decompile binary scripts) current

   (3 reviews)

1 Screenshot


Sorry, you aren't permitted to download this file. However, you may be able to download if you sign in. Sign In

About This File

Lua in GG is based on LuaJ 3.0.1, so you can try to decompile the script from a binary form for show its code.

However, GG is developing. Also, Lua is being modified in it, so that such scripts can not always work, or not work at all.

If you experience problems with binary scripts, use the text form of the script.

There is no support for the binary form of scripts and will never be. You do everything at your own peril and risk.


 

java -jar unluac_2015_06_13.jar script_compiled.lua

Examples are provided for the Windows command line. If you have Linux or Android, then this is your problem how to run a .jar file there. Do not ask me about it.

You must have java installed. It should also be available on the command line. In general, this is also your problem how to run the .jar file.

 

Quote

unluac is a decompiler for Lua 5.1. It runs on Lua chunks that have been compiled with the standard Lua compiler. It requires that debugging information has not been stripped from the chunk. (By default, the Lua compiler includes this debugging information.)

This program is written in Java. A JAR package is available in the downloads section so you don't have to compile it. It runs from the command line and accepts a single argument: the file name of a Lua chunk. The decompiled code is printed to the standard output.

Here is an example usage of unluac:
java -jar unluac.jar myfile.lua > myfile_decompiled.lua

The current version also has pretty good support for Lua 5.0 and experimental support for Lua 5.2 and Lua 5.3.

 


What's New in Version current   See changelog

Released

Update current version.




User Feedback

Recommended Comments

It decompile lua file, but in Command promt, How to save to text file :P

im noob

Share this comment


Link to comment
Share on other sites

Gg support only 5.2 (transient to 5.3 but stay compatible with 5.2).

Share this comment


Link to comment
Share on other sites

Hello enyby bro:)) it is working in android 6 but  have error  'Bad system call' with  my device android 9 pie ..can you fix it

 

Screenshot_2019-09-28-12-14-10-347_io.neoterm.png

Share this comment


Link to comment
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
×
×
  • Create New...